import { parseEnumCode } from './parse-enum-code';
export interface JavaEnumTransformByDirOptions {
    deRef?: boolean;
    pattern?: string | string[];
    ignore?: string[];
}
export declare function javaEnumTransformByDir(dir: string, { ignore, pattern, deRef }?: JavaEnumTransformByDirOptions): Promise<Map<string, {
    enumClass: string;
    enums: {
        name: string;
        label?: {
            type: "fqnOrRefType" | "primitive";
            raw: string;
            value: any;
        };
        value: {
            type: "fqnOrRefType" | "primitive";
            raw: string;
            value: any;
        };
    }[];
}[]>>;
export declare function resultToCode(map: Map<string, ReturnType<typeof parseEnumCode>>): string;
/**
 * 单个文件独立渲染
 * @param item
 * @returns
 */
export declare function resultItemToCode(item: ReturnType<typeof parseEnumCode>[0]): string;
